dnl
dnl $Id: config.m4,v 1.1 2004/04/06 21:43:53 pollita Exp $
dnl
PHP_ARG_WITH(zlib-filter, for ZLIB support,
[  --with-zlib-filter[=DIR]  ZLIB Filter Support (requires zlib >= 1.0.9).])

if test "$PHP_ZLIB_FILTER" != "no"; then
  PHP_NEW_EXTENSION(zlib_filter, zlib_filter_stub.c zlib_filter.c, $ext_shared)
  PHP_SUBST(ZLIB_FILTER_SHARED_LIBADD)
  
  if test "$PHP_ZLIB_FILTER" != "yes"; then 
    if test -f $PHP_ZLIB_FILTER/include/zlib/zlib.h; then
      ZLIB_FILTER_DIR=$PHP_ZLIB_FILTER
      ZLIB_FILTER_INCDIR=$ZLIB_FILTER_DIR/include/zlib
    elif test -f $PHP_ZLIB_FILTER/include/zlib.h; then
      ZLIB_FILTER_DIR=$PHP_ZLIB_FILTER
      ZLIB_FILTER_INCDIR=$ZLIB_FILTER_DIR/include
    fi
  fi
  
  if test -z "$ZLIB_FILTER_DIR"; then
    AC_MSG_ERROR(Cannot find libz)
  fi

  case $ZLIB_FILTER_DIR in
  /usr) ac_extra= ;; 
  *) ac_extra=-L$ZLIB_FILTER_DIR/lib ;;
  esac

  PHP_CHECK_LIBRARY(z, deflate, [
    AC_DEFINE(HAVE_ZLIB_FILTER,1,[ ]) 
  ],[
    AC_MSG_ERROR(ZLIB extension requires zlib >= 1.0.9)
  ],[
    $ac_extra
  ])

  PHP_ADD_LIBPATH($ZLIB_FILTER_DIR/lib, ZLIB_FILTER_SHARED_LIBADD)

  PHP_ZLIB_FILTER_DIR=$ZLIB_FILTER_DIR
  PHP_ADD_LIBRARY(z,, ZLIB_FILTER_SHARED_LIBADD)
  PHP_ADD_INCLUDE($ZLIB_FILTER_INCDIR)

fi
