/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2004 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.0 of the PHP license,       |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_0.txt.                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: Sara Golemon (pollita@php.net)                               |
  +----------------------------------------------------------------------+
*/

/* $Id: php_zlib_filter.h,v 1.1 2004/04/06 21:43:53 pollita Exp $ */

#ifndef PHP_ZLIB_FILTER_H
#define PHP_ZLIB_FILTER_H

#include <zlib.h>

extern php_stream_filter_factory php_zlib_filter_factory;
extern zend_module_entry zlib_filter_module_entry;
#define phpext_zlib_filter_ptr &zlib_filter_module_entry

PHP_MINIT_FUNCTION(zlib_filter);
PHP_MSHUTDOWN_FUNCTION(zlib_filter);
PHP_MINFO_FUNCTION(zlib_filter);

#endif	/* PHP_ZLIB_FILTER_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
